-- tables
-- Table: awards
CREATE TABLE IF NOT EXISTS awards (
    id integer NOT NULL CONSTRAINT awards_pk PRIMARY KEY,
    rank_id integer NOT NULL,
    target_id integer NOT NULL,
    award_type integer NOT NULL,
    num integer NOT NULL
);

CREATE UNIQUE INDEX awards_idx_1
ON awards (rank_id ASC, target_id ASC, award_type ASC)
;

-- Table: game_data
CREATE TABLE IF NOT EXISTS game_data (
    id integer NOT NULL CONSTRAINT game_data_pk PRIMARY KEY,
    rank_id integer NOT NULL,
    timestamp integer NOT NULL,
    score integer NOT NULL DEFAULT 0,
    item1 integer NOT NULL DEFAULT 0,
    item2 integer NOT NULL DEFAULT 0,
    item3 integer NOT NULL DEFAULT 0
);

-- Table: play_data
CREATE TABLE IF NOT EXISTS play_data (
    id integer NOT NULL CONSTRAINT play_data_pk PRIMARY KEY,
    time integer NOT NULL,
    playtype integer NOT NULL
);

-- Table: target
CREATE TABLE IF NOT EXISTS target (
    id integer NOT NULL CONSTRAINT target_pk PRIMARY KEY,
    rank_id integer NOT NULL,
    target_score integer NOT NULL,
    target_id integer NOT NULL,
    complete integer NOT NULL DEFAULT 0
);

CREATE UNIQUE INDEX target_idx_1
ON target (rank_id ASC, target_id ASC)
;

-- Table: weekRank
CREATE TABLE IF NOT EXISTS weekRank (
    id integer NOT NULL CONSTRAINT weekRank_pk PRIMARY KEY,
    rank_id integer NOT NULL,
    rank_type integer NOT NULL DEFAULT 0,
    "begin" integer NOT NULL,
    "end" integer NOT NULL,
    steps integer NOT NULL,
    collection integer NOT NULL,
    shuffle integer NOT NULL,
    brush integer NOT NULL,
    hammer integer NOT NULL
);

CREATE UNIQUE INDEX weekRank_idx_1
ON weekRank (rank_id ASC)
;

-- End of file.

